#!/bin/sh

PATH=$PATH:../CPAchecker/scripts

java -jar BenchmarkXMLEditor.jar --rejectedAsUnknown LA-*.xml
java -jar BenchmarkXMLEditor.jar --rejectedAsUnknown UltimateAutomizer-*.xml

# Generate result XML combination for running LA, witness validation on witnesses, and then BP on rejected results
java -jar BenchmarkXMLEditor.jar --mergeRunWithValidationAndRerun LA.DeviceDrivers.xml LA-BP.DeviceDrivers.xml BP.DeviceDrivers.xml LA-BP-BPrerun.DeviceDrivers.xml

table-generator.py -n=LA-LA -c --no-diff LA.xml LA-LA.xml
mv LA-LA.table.html LA-LA.html
mv LA-LA.table.csv LA-LA.csv

table-generator.py -n=LA-BP.DeviceDrivers --no-diff BP.DeviceDrivers.xml LA.DeviceDrivers.xml LA-BP.DeviceDrivers.xml LA-LA.DeviceDrivers.xml LA-BP-BPrerun.DeviceDrivers.xml
mv LA-BP.DeviceDrivers.table.html LA-BP.DeviceDrivers.html
mv LA-BP.DeviceDrivers.table.csv LA-BP.DeviceDrivers.csv

table-generator.py -n=LA-UltimateAutomizer -c --no-diff LA.xml LA-UltimateAutomizer.xml
mv LA-UltimateAutomizer.table.html LA-UltimateAutomizer.html
mv LA-UltimateAutomizer.table.csv LA-UltimateAutomizer.csv

table-generator.py -n=UltimateAutomizer-LA -c --no-diff UltimateAutomizer.xml UltimateAutomizer-LA.xml
mv UltimateAutomizer-LA.table.html UltimateAutomizer-LA.html
mv UltimateAutomizer-LA.table.csv UltimateAutomizer-LA.csv

table-generator.py -n=UltimateAutomizer-UltimateAutomizer -c --no-diff UltimateAutomizer.xml UltimateAutomizer-UltimateAutomizer.xml
mv UltimateAutomizer-UltimateAutomizer.table.html UltimateAutomizer-UltimateAutomizer.html
mv UltimateAutomizer-UltimateAutomizer.table.csv UltimateAutomizer-UltimateAutomizer.csv
